Ignore:
Timestamp:
May 2, 2016, 12:09:23 PM (3 years ago)
Author:
jrpelegrina
Message:

Updated to moodle 3.0.3

File:
1 edited

Legend:

Unmodified
Added
Removed
  • moodle/trunk/fuentes/auth/cas/db/upgrade.php

    r136 r1331  
    5959    // Put any upgrade step following this.
    6060
     61    if ($oldversion < 2014111001) {
     62        global $DB;
     63        // From now on the default LDAP objectClass setting for AD has been changed, from 'user' to '(samaccounttype=805306368)'.
     64        if (is_enabled_auth('cas')
     65                && ($DB->get_field('config_plugins', 'value', array('name' => 'user_type', 'plugin' => 'auth/cas')) === 'ad')
     66                && ($DB->get_field('config_plugins', 'value', array('name' => 'objectclass', 'plugin' => 'auth/cas')) === '')) {
     67            // Save the backwards-compatible default setting.
     68            set_config('objectclass', 'user', 'auth/cas');
     69        }
     70
     71        upgrade_plugin_savepoint(true, 2014111001, 'auth', 'cas');
     72    }
     73
     74    // Moodle v2.9.0 release upgrade line.
     75    // Put any upgrade step following this.
     76
     77    // Moodle v3.0.0 release upgrade line.
     78    // Put any upgrade step following this.
     79
    6180    return true;
    6281}
Note: See TracChangeset for help on using the changeset viewer.